Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PrimitiveIndexFunctor Class Reference

Inheritance diagram for osg::PrimitiveIndexFunctor:

[legend]
List of all members.

## Public Member Functions
virtual | ~PrimitiveIndexFunctor ()
virtual void | setVertexArray (unsigned int count, const Vec2 *vertices)=0
virtual void | setVertexArray (unsigned int count, const Vec3 *vertices)=0
virtual void | setVertexArray (unsigned int count, const Vec4 *vertices)=0
virtual void | drawArrays (GLenum mode, GLint first, GLsizei count)=0
virtual void | drawElements (GLenum mode, GLsizei count, const GLubyte *indices)=0
virtual void | drawElements (GLenum mode, GLsizei count, const GLushort *indices)=0
virtual void | drawElements (GLenum mode, GLsizei count, const GLuint *indices)=0
virtual void | begin (GLenum mode)=0
virtual void | vertex (unsigned int pos)=0
virtual void | end ()=0

## Constructor & Destructor Documentation

virtual osg::PrimitiveIndexFunctor::~PrimitiveIndexFunctor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void osg::PrimitiveIndexFunctor::begin | ( | GLenum | mode | ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::drawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLuint * | indices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLushort * | indices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLubyte * | indices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::end | ( |  | ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::setVertexArray | ( | unsigned int | count,
|  | const Vec4 * | vertices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::setVertexArray | ( | unsigned int | count,
|  | const Vec3 * | vertices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::setVertexArray | ( | unsigned int | count,
|  | const Vec2 * | vertices
| ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

virtual void osg::PrimitiveIndexFunctor::vertex | ( | unsigned int | pos | ) | `[pure virtual]`

| Implemented in osg::TriangleIndexFunctor< T >.

The documentation for this class was generated from the following file:

- PrimitiveSet